import { getProfile, isGeneratedNomDeBid, isRegisteredAccount } from '../../selectors/profile.js';

export const matchStateToProps = (state) => {
    const profile = getProfile(state);

    return {
        addresses: profile.get('addresses'),
        avatar: profile.get('avatar'),
        email: profile.get('email'),
        initials: profile.get('initials'),
        isGeneratedNomDeBid: isGeneratedNomDeBid(state),
        isRegisteredAccount: isRegisteredAccount(state),
        nomDeBid: profile.get('nomDeBid'),
        phones: profile.get('phones'),
    };
};
